package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/api/v1"
	"github.com/flipped-aurora/gin-vue-admin/server/middleware"
	"github.com/gin-gonic/gin"
)

type AssignmentRouter struct {
}

// InitAssignmentRouter 初始化 Assignment 路由信息
func (s *AssignmentRouter) InitAssignmentRouter(Router *gin.RouterGroup) {
	assignmentRouter := Router.Group("assignment").Use(middleware.OperationRecord())
	var assignmentApi = v1.ApiGroupApp.AutoCodeApiGroup.AssignmentApi
	{
		assignmentRouter.POST("createAssignment", assignmentApi.CreateAssignment)             // 新建Assignment
		assignmentRouter.DELETE("deleteAssignment", assignmentApi.DeleteAssignment)           // 删除Assignment
		assignmentRouter.DELETE("deleteAssignmentByIds", assignmentApi.DeleteAssignmentByIds) // 批量删除Assignment
		assignmentRouter.PUT("updateAssignment", assignmentApi.UpdateAssignment)              // 更新Assignment
		assignmentRouter.GET("findAssignment", assignmentApi.FindAssignment)                  // 根据ID获取Assignment
		assignmentRouter.GET("getAssignmentList", assignmentApi.GetAssignmentList)            // 获取Assignment列表
	}
}
